<?xml version="1.0" encoding="utf-8"?> 
<ui:composition 
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:f="http://xmlns.jcp.org/jsf/core"
    xmlns:p="http://primefaces.org/ui">
    <h:form>
        <p:dialog widgetVar="registroDireccionDialog" header="Detalles de Recaudo" 
                  showEffect="clip" hideEffect="clip">
            <p:panelGrid id="panelDirecciones" columns="4">
                <f:facet name="header">Nueva Dirección</f:facet>

                <h:outputText value="Dirección"/>
                <p:inputText value="#{direccionesBean.nuevaDireccion.direccion}"/>

                <h:outputText value="Tipo Dirección"/>
                <p:selectOneMenu value="#{direccionesBean.nuevaDireccion.tipodireccion}" style="width: 150px">
                    <f:selectItem itemLabel="Seleccione Tipo"/>
                    <f:selectItems value="#{direccionesBean.listadoTipoDirecciones}"/>
                </p:selectOneMenu>

                <p:commandButton value="Guardar" class="botonbuscador" 
                                 update="direccionForm:tablaDirecciones, panelDirecciones" 
                                 action="#{direccionesBean.registrarNuevaDireccion()}"
                                 oncomplete="PF('registroDireccionDialog').hide();"/>
                <p:commandButton id="exitButtonBitacora" value="Salir"
                                 oncomplete="PF('registroDireccionDialog').hide();" />
            </p:panelGrid>
        </p:dialog>
    </h:form>
</ui:composition>
